// ReSharper disable all
using System;
using NUnit.Framework;
using static Kutsuminen;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestKutsuminen
	{
		[Test]
		public  void TestSuurempi45()
		{
			Assert.AreEqual( 4, Suurempi(3,4) , "in method Suurempi, line 46");
			Assert.AreEqual( 4, Suurempi(-3,4) , "in method Suurempi, line 47");
			Assert.AreEqual( -3, Suurempi(-3,-4) , "in method Suurempi, line 48");
			Assert.AreEqual( 2, Suurempi(2,2) , "in method Suurempi, line 49");
		}
		[Test]
		public  void TestVaihdaSuurin65()
		{
			int[] luvut = {2,5,4,3};
			VaihdaSuurin(luvut,1);
			Assert.AreEqual( "2 1 4 3", String.Join(" ",luvut) , "in method VaihdaSuurin, line 68");
			VaihdaSuurin(luvut,1);
			Assert.AreEqual( "2 1 1 3", String.Join(" ",luvut) , "in method VaihdaSuurin, line 70");
			VaihdaSuurin(luvut,9);
			Assert.AreEqual( "2 1 1 9", String.Join(" ",luvut) , "in method VaihdaSuurin, line 72");
			VaihdaSuurin(luvut,1);
			Assert.AreEqual( "2 1 1 1", String.Join(" ",luvut) , "in method VaihdaSuurin, line 74");
			VaihdaSuurin(luvut,-1);
			Assert.AreEqual( "-1 1 1 1", String.Join(" ",luvut) , "in method VaihdaSuurin, line 76");
			luvut = new int[]{5};
			VaihdaSuurin(luvut,2);
			Assert.AreEqual( "2", String.Join(" ",luvut) , "in method VaihdaSuurin, line 79");
			luvut = new int[0];
			VaihdaSuurin(luvut,2);
			Assert.AreEqual( "", String.Join(" ",luvut) , "in method VaihdaSuurin, line 82");
		}
		[Test]
		public  void TestSuurimmanPaikka100()
		{
			int[] t = {1,2,3,4};
			Assert.AreEqual( 3, SuurimmanPaikka(t) , "in method SuurimmanPaikka, line 102");
			Assert.AreEqual( 1, SuurimmanPaikka(new int[]{6,7,4}) , "in method SuurimmanPaikka, line 103");
			Assert.AreEqual( 2, SuurimmanPaikka([4,2,8,5]) , "in method SuurimmanPaikka, line 104");
		}
	}

