using System;
using System.Text;

/// @author  Vesa Lappalainen
/// @version 10.10.2011
///
/// <summary>
/// Esimerkkejä matriisista
/// </summary>
public class Matriisit
{
    /// <summary>
    /// Esimerkkejä matriiseista
    /// </summary>
    /// <param name="args">ei käytössä</param>
    public static void Main(string[] args)
    {
        // int[] luvut = int[3];
        int[] luvut = { 3, 5, 1, 9 };

        int[,] matriisi1 = new int[23, 5];

        int[,] matriisi = {
            {1,2,3},  // 0
            {4,5,6},  // 1
            {7,8,9},  // 2
            {10,11,12} // 3
        };

        // Tulosta(matriisi);

        Console.WriteLine("Dimensio: " + matriisi.Rank);
        Console.WriteLine("Rivejä: " + matriisi.GetLength(0));
        Console.WriteLine("Sarakkeita: " + matriisi.GetLength(1));
        Console.WriteLine("Paikassa 2,1: " + matriisi[2, 1]);

        int rivi = MiltaRiviltaLoytyy(matriisi, 8);

        matriisi1[6, 2] = 99;

        // Tulosta(matriisi1);
    }

    /// <summary>
    /// 
    /// </summary>
    /// <param name="mat"></param>
    /// <param name="etsittava"></param>
    /// <returns></returns>
    /// <example>
    /// <pre name="test">
    /// int[,] matriisi = {
    ///    {1,2,3},  // 0
    ///    {4,5,6},  // 1
    ///    {7,8,9},  // 2
    ///    {10,11,12} // 3
    /// };
    /// MiltaRiviltaLoytyy(matriisi, 8) === 2;
    /// MiltaRiviltaLoytyy(matriisi, 1) === 0;
    /// MiltaRiviltaLoytyy(matriisi, 12) === 3;
    /// MiltaRiviltaLoytyy(matriisi, 15) === -1;
    ///     
    /// </pre>
    /// </example>
    public static int MiltaRiviltaLoytyy(int[,] mat, int etsittava)
    {
        int riveja = mat.GetLength(0);
        int sarkkeita = mat.GetLength(1);

        for (int iy = 0; iy < riveja; iy++)
        {
            for (int ix = 0; ix < sarkkeita; ix++)
            {
                int luku = mat[iy, ix];
                if (luku == etsittava) return iy;
            }
        }

        return -1;
    }

}